commit:     b9ee051361a893fc8288ae64a842b9b57e322fe5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 12:36:34 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 12:36:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9ee0513

xfce-extra/xfce4-cpufreq-plugin: Bump to 1.2.9

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-cpufreq-plugin/Manifest           |  1 +
 .../xfce4-cpufreq-plugin-1.2.9.ebuild              | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/xfce-extra/xfce4-cpufreq-plugin/Manifest 
b/xfce-extra/xfce4-cpufreq-plugin/Manifest
index 0b1c1ffea0fc..961b1bb77344 100644
--- a/xfce-extra/xfce4-cpufreq-plugin/Manifest
+++ b/xfce-extra/xfce4-cpufreq-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-cpufreq-plugin-1.2.8.tar.bz2 431599 BLAKE2B 
f08d27b2461e3ac387dc139231a8febb6239fe8e5132ef89a6d4a8f9009fb7a3dd011ead97f27872fbb4857fc563e65fc2dd6e0f652d8d7299d3c9966d6f8b57
 SHA512 
482912920703b61ccba59b1a95a4153d06a7c897a59d7c2e5f84f6ea1cac17be2bade72d9187fc62279112f41cd2dd3f3157df31fae165eb2a104b74fec310da
+DIST xfce4-cpufreq-plugin-1.2.9.tar.bz2 546832 BLAKE2B 
88028aa8a98a87718b533438eadf3491b97e09f03f7319a19bdaf8d1e90d18dcb1224dc9326e2f693da22380619d6a9f24295717f778a03ff85048e65041b11a
 SHA512 
e75075c63f22c38b57793b5da9471be7ac49d4e17cb57ab96b04710e50c0b9161de6ea84b49f8142cac3baade1559388e58d50d8096a8e5515916644d7f70ca5

diff --git a/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.9.ebuild 
b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.9.ebuild
new file mode 100644
index 000000000000..61860a878dab
--- /dev/null
+++ b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.9.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A panel plugin for showing information about cpufreq settings"
+HOMEPAGE="
+       https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin/start
+       https://gitlab.xfce.org/panel-plugins/xfce4-cpufreq-plugin/
+"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.50.0
+       >=x11-libs/gtk+-3.22.0:3
+       >=xfce-base/libxfce4ui-4.16.0:=
+       >=xfce-base/libxfce4util-4.17.2:=
+       >=xfce-base/xfce4-panel-4.16.0:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to